package jrummikub.model;

/**
 * Mock class for {@link Player}
 */
@SuppressWarnings("serial")
public class MockPlayer implements IPlayer {
	/** */
	public IHand hand;
	/** */
	public PlayerSettings playerSettings;
	/** */
	public boolean laidOut;
	/** */
	public boolean lastTurnInvalid;
	/** */
	public int lastTurnStoneCount;

	/**
	 * @param playerSettings
	 *          the player settings
	 * @param gameSettings
	 *          the game settings
	 */
	public MockPlayer(PlayerSettings playerSettings, GameSettings gameSettings) {
		hand = new Hand();
		this.playerSettings = playerSettings;
		laidOut = false;
	}

	@Override
	public boolean getLaidOut() {
		return laidOut;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public PlayerSettings getPlayerSettings() {
		return playerSettings;
	}

	@Override
	public void setLaidOut(boolean laidOut) {
		this.laidOut = laidOut;
	}

	@Override
	public void setHand(IHand hand) {
		this.hand = hand;
	}
	
	@Override
	public boolean wasLastTurnInvalid() {
		return lastTurnInvalid;
	}
	
	@Override
	public void setLastTurnInvalid(boolean value) {
		lastTurnInvalid = value;
	}
	
	@Override
	public int getLastTurnStoneCount() {
		return lastTurnStoneCount;
	}
	
	@Override
	public void setLastTurnStoneCount(int value) {
		lastTurnStoneCount = value;
	}
}
